From 60533161f2f877019426782bccd44204790914d1 Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 18:19:20 +0200
Subject: [PATCH 13/15] Build with -Werror if "werror" is in DEB_BUILD_OPTIONS.

---
 debian/changelog |    1 +
 debian/rules     |    3 +++
 2 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 4764b94..da53939 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -21,6 +21,7 @@ alex4 (1.1-4) UNRELEASED; urgency=low
     and LDFLAGS.
   * Convert the copyright file to the DEP 5 candidate format.
   * Convert all patch file headers to the DEP 3 format.
+  * Build with -Werror if the non-standard "werror" build option is set.
 
  -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
 
diff --git a/debian/rules b/debian/rules
index d0c6a28..64dd688 100755
--- a/debian/rules
+++ b/debian/rules
@@ -8,6 +8,9 @@ CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)
 
 CFLAGS+=	-Wall
+ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
+	CFLAGS+=	-Werror
+endif
 
 export CPPFLAGS CFLAGS LDFLAGS
 
-- 
1.7.2.3

